Oore CI

Get artifacts for a step retry

Returns the source build's stored artifacts that a retry job uploads, with short-lived download URLs, while the job is active.

Operation IDget_job_retry_artifacts
GET
/v1/runners/{runner_id}/jobs/{job_id}/retry-artifacts

Returns the source build's stored artifacts that a retry job uploads, with short-lived download URLs, while the job is active.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

runner_id*string

Runner ID

job_id*string

Build/Job ID

Header Parameters

x-oore-signing-token*string

Job-scoped signing grant

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/runners/string/jobs/string/retry-artifacts" \  -H "x-oore-signing-token: string"
{  "artifacts": [    {      "artifact_type": "string",      "checksum": "string",      "download_url": "string",      "id": "string",      "metadata": {},      "name": "string"    }  ]}